EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

            ebook-polish [opties] invoer_bestand [uitvoer_bestand]

Boeken oppoetsen gaat over alles wat de indruk van perfectie aan je zorgvuldig samengestelde E-boeken geeft.

Oppoetsen tracht zo min mogelijk de interne code van u E-boek te veranderen. Anders dan bij converteren vereenvoudigt het geen CSS, hernoemt het geen bestanden, verandert niet de lettertype grootte, aanpassen van marges, enz. Elke actie veroorzaakt slechts de minimaal benodigde veranderingen om het beoogde effect te bereiken.

Je dient dit als laatste stap in u E-boek creatieproces te gebruiken.

Merk op dat oppoetsen alleen werkt bij bestanden in het AZW3 of EPUB of KEPUB formaat.

Als u aan ebook-polish parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

[OPTIES]

    --add-soft-hyphens, -H
        Voeg zachte koppeltekens toe aan alle woorden in het boek. Hiermee kan het boek worden weergegeven beter wanneer de tekst gerechtvaardigd is, in lezers die geen woordafbreking ondersteunen

    --compress-images, -i
        Comprimeer de afbeeldingen in het boek, zonder de kwaliteit aan te tasten..

    --cover, -c
        Pad naar omslag afbeelding. Wijzigt de omslag gespecificeerd in het E-boek. Als geen omslag beschikbaar is, of de omslag is niet goed herkend, dan wordt een nieuwe omslag toegevoegd.

    --download-external-resources, -d
        Download externe bronnen zoals afbeeldingen, stylesheets, enz. die naar URL's verwijzen in plaats van naar bestanden in het boek. Al deze bronnen worden gedownload en toegevoegd aan het boek, zodat het boek niet langer verwijst naar externe bronnen.

    --embed-fonts, -e
        Alle lettertypes insluiten waaraan gerefereerd wordt in het document en die nog niet zijn ingesloten in. Hierbij wordt uw computer doorzocht op lettertypes en indien gevonden zullen zij worden ingesloten in het document. Verzeker u ervan dat u over de juist licentie beschikt voor het insluiten van de in dit document gebruikte lettertypes.

    --help, -h
        toon dit helpbericht en stop

    --jacket, -j
        Voegt een "Boekomslag" pagina in aan het begin van het boek, die alle metadata van het boek bevat, zoals titel, labels, auteurs, series, commentaren enz. Elke vorig gebruikte boekomslag zal worden vervangen.

    --opf, -o
        Pad naar een OPF bestand. De metadata in het boek is bijgewerkt vanuit het OPF bestand.

    --remove-jacket
        Verwijder een eerder ingevoegde overzichtspagina.

    --remove-soft-hyphens
        Verwijder zachte koppeltekens uit alle tekst in het boek

    --remove-unused-css, -u
        Verwijder alle ongebruikte CSS regels van stijlbladen en <stijl> tags. Boeken gemaakt op basis van productiesjablonen kunnen een groot aantal extra CSS-regels hebben die niet slaan op enige feitelijke inhoud. Deze extra regels kunnen e-readers vertragen die ze allemaal moeten verwerken.

    --smarten-punctuation, -p
        Zet platte tekst streepjes, weglatingstekens, aanhalingstekens, meerdere afbreekstreepjes, enz. om naar de typografisch juiste equivalenten. NB, het algoritme kan soms foute resultaten geven, met name als enkele aanhalingstekens worden gebruikt bij de start van samenstelling.

    --subset-fonts, -f
        Uitdunnen van lettertypen betekend het reduceren van ingesloten lettertypes zodat ze enkel de tekens bevatten welke worden gebruikt in het boek. Dit zorgt voor een grote reductie van de lettertypebestanden (een halvering van de lettertypebestanden is normaal). Bijvoorbeeld, als het boek een specifiek lettertype gebruikt voor koppen, dan zal uitdunnen het lettertype reduceren tot enkel de tekens weergegeven in de koppen van het boek. Of als het boek vette en scheve versies van het lettertype heeft ingevoegd, maar vet en scheef niet of weinig wordt gebruikt, dan kunnen deze worden gereduceerd tot een paar tekens of zelfs helemaal worden verwijderd Het enige nadeel van uitdunnen van een lettertype is dat u, wanneer u op een later moment besluit tekst toe te voegen aan uw boek, de nieuwe tekst mogelijk tekens bevat die u heeft verwijderd uit het lettertype.

    --upgrade-book, -U
        Upgrade de interne structuren van het boek, indien mogelijk. Bijvoorbeeld: upgrade EPUB 2-boeken naar EPUB 3-boeken.

    --verbose
        Geef uitgebreidere uitvoer, nuttig bij foutopsporing.

    --version
        toon programmaversie en stop

Author
Kovid Goyal

Copyright
Kovid Goyal